What is flex?

What is flex?

Post by Dennis Clark » Thu, 28 Sep 2000 04:00:00




> Hello solarland -

> I'm trying to install Apache-1.3.12/openssl/mod_ssl on a Solaris 7/SS5
> system.
> This is the message I'm getting:
> gcc -c  -I../../os/unix -I../../include   -DSOLARIS2=270
> -DMOD_SSL=206106 -DEAPI -DUSE_EXPAT -I../../lib/expa
> t-lite -DNO_DL_NEEDED `../../apaci` -DSSL_COMPAT
> -I/usr/local/src/openssl-0.9.6/include -DMOD_SSL_VERSION=\"2
> .6.6\" ssl_engine_ext.c
> I installed the same on sol8 and had no problems...
> Now... what is flex??? What do I miss here..

> Please help..
> Thank YOU

> Ralf Wiegand

Everything looks cool ... just get a copy of flex from sunfreeware.com

Should look like so :

$ pkginfo -l SMCflex
   PKGINST:  SMCflex
      NAME:  flex
  CATEGORY:  application
      ARCH:  sparc
   VERSION:  2.5.4
   BASEDIR:  /usr/local
    VENDOR:  Free Software Foundation
    PSTAMP:  Steve Christensen
  INSTDATE:  Sep 16 2000 13:24

    STATUS:  completely installed
     FILES:     19 installed pathnames
                 6 shared pathnames
                 7 directories
                 1 executables
              1194 blocks used (approx)

Dennis

 
 
 

What is flex?

Post by Ralf K. Wiegan » Fri, 29 Sep 2000 11:15:06


Hello solarland -

I'm trying to install Apache-1.3.12/openssl/mod_ssl on a Solaris 7/SS5
system.
This is the message I'm getting:
gcc -c  -I../../os/unix -I../../include   -DSOLARIS2=270
-DMOD_SSL=206106 -DEAPI -DUSE_EXPAT -I../../lib/expa
t-lite -DNO_DL_NEEDED `../../apaci` -DSSL_COMPAT
-I/usr/local/src/openssl-0.9.6/include -DMOD_SSL_VERSION=\"2
.6.6\" ssl_engine_ext.c
gcc -c  -I../../os/unix -I../../include   -DSOLARIS2=270
-DMOD_SSL=206106 -DEAPI -DUSE_EXPAT -I../../lib/expa
t-lite -DNO_DL_NEEDED `../../apaci` -DSSL_COMPAT
-I/usr/local/src/openssl-0.9.6/include -DMOD_SSL_VERSION=\"2
.6.6\" ssl_expr.c
flex -Pssl_expr_yy -s -B ssl_expr_scan.l
sh: flex: not found
*** Error code 1
make: Fatal error: Command failed for target `ssl_expr_scan.c'
Current working directory /usr/local/src/apache_1.3.12/src/modules/ssl
*** Error code 1
make: Fatal error: Command failed for target `all'
Current working directory /usr/local/src/apache_1.3.12/src/modules
*** Error code 1
make: Fatal error: Command failed for target `subdirs'
Current working directory /usr/local/src/apache_1.3.12/src
*** Error code 1
make: Fatal error: Command failed for target `build-std'
Current working directory /usr/local/src/apache_1.3.12
*** Error code 1
make: Fatal error: Command failed for target `build'

I installed the same on sol8 and had no problems...
Now... what is flex??? What do I miss here..

Please help..
Thank YOU

Ralf Wiegand